Skip to main content
POST
Creates a new sales invoice correction from an existing invoice.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesInvoiceId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Creates a new sales invoice correction from an existing invoice. - Request

asDraft
boolean

Indicates if the sales invoice correction should be created as draft.

useUndeliveredQuantities
boolean

Indicates if only undelivered quantities should be used.

disableAutomaticWorkflows
boolean

If true, the workflows do not trigger automatic.

reduceSalesOrderQuantities
boolean

If true, the sales order quantities will be reduced.

reduceDeliveryQuantities
boolean

If true, the delivery quantities will be reduced.

cancelWebShopOrder
boolean

If true, the web shop order will be canceled

Response

Sales invoice correction created successfully

Creates a new sales invoice correction from an existing invoice. - Response

salesInvoiceCorrectionId
string<uuid>
required

The Id of the created sales invoice correction

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"